Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153220 - Enhance nbexec to generate heap dump in case of OutOfMemError
Enhance nbexec to generate heap dump in case of OutOfMemError
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: t_h
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 14:10 UTC by Jaroslav Tulach
Modified: 2009-02-19 22:53 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-11-14 14:10:32 UTC
In case the system throws OutOfMemory exception a file is generated to $userdir/var/log or similar directory and the 
user is asked (maybe on next start) to send this file to NetBeans. 

Details at http://wiki.netbeans.org/FitnessViaPartnership
Comment 1 t_h 2008-11-19 16:07:17 UTC
392a4495db66
Comment 2 Jesse Glick 2008-11-20 04:30:21 UTC
This seems like a huge privacy issue. A heap dump could contain passwords, confidential sources, etc. I don't think the
user is necessarily aware of what they might be sending to an unknown recipient. Even storing such dumps to the userdir
could leak sensitive information to an untrusted location.
Comment 3 Quality Engineering 2008-11-20 04:43:15 UTC
Integrated into 'main-golden', will be available in build *200811200201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/392a4495db66
User: Tomas Holy <t_h@netbeans.org>
Log: #153220: Enhance nbexec to generate heap dump in case of OutOfMemError


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo